Xenodia Docs
API ReferenceGenerated Reference

Create a new API key

Requires a short-lived access token, not an API key. Returns the new secret once. Other active keys remain valid.

POST
/v1/me/api-keys

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.xenodia.xyz/v1/me/api-keys"
{
  "data": {
    "id": 0,
    "account_id": 0,
    "status": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "token_preview": "string",
    "token": "string"
  }
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}